#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){

	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	
	// set background: 
	
	ofEnableAlphaBlending();
	ofBackground(30,30,30);
	
	
	// set the position of the rectangle:
	for (int i=0; i<5; i++) {
		myRectangle[i].pos.x = ofRandom(0, ofGetWidth());
		myRectangle[i].pos.y = ofRandom(0, ofGetHeight());
		
		myRectangle[i].init(ofRandomuf()*.05);
	}
	
	
}

//--------------------------------------------------------------
void testApp::update(){
	for (int i=0; i<5; i++) {
		myRectangle[i].xenoToPoint(mouseX, mouseY);
	}
}

//--------------------------------------------------------------
void testApp::draw(){
	for (int i=0; i<5; i++) {
		myRectangle[i].draw();
	}
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
