#include "rectangle.h"


//------------------------------------------------------------------
rectangle::rectangle(){
	
}

void rectangle::init(float cSpeed) {
	catchUpSpeed = cSpeed;
	
	color.r = ofRandom(0,255);
	color.g = ofRandom(0,255);
	color.b = ofRandom(0,255);
}

//------------------------------------------------------------------
void rectangle::draw() {
	ofFill();
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
    ofSetColor(color.r,color.g,color.b);
    ofRect(pos.x, pos.y, 20,20);
}

//------------------------------------------------------------------
void rectangle::xenoToPoint(float catchX, float catchY){
	pos.x = catchUpSpeed * catchX + (1-catchUpSpeed) * pos.x; 
	pos.y = catchUpSpeed * catchY + (1-catchUpSpeed) * pos.y; 
}
